petsc4py (3.20.5-4) unstable; urgency=medium

  * update debian patch build_local_docs.patch to link to numpy docs
    Build-Depends-Indep: python-numpy-doc <!nodoc>
  * drop Build-Depends-Indep: python-pyopencl-doc.
    pocl is flaky, and is at risk of expelling a large swathe of
    unrelated packages from the archive. Linking to pyopencl docs is
    not crucial for petsc4py.

 -- Drew Parsons <dparsons@debian.org>  Thu, 29 Aug 2024 02:02:31 +0200

petsc4py (3.20.5-3) unstable; urgency=medium

  * build the real module in arch-indep builds to be used building docs
  * don't build docs if nodoc is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 19:55:53 +0200

petsc4py (3.20.5-2) unstable; urgency=medium

  * debian/tests: run tests over all supported python versions
  * Build-Depends-Indep: python3-pydata-sphinx-theme (for docs)
  * debian patch build_local_docs.patch sets intersphinx links to
    local docs (numpy docs not yet available)
    - Build-Depends-Indep: petsc3.20-doc, python3-doc,
      python-mpi4py-doc, python-pyopencl-doc <!nodoc>
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 May 2024 15:26:37 +0200

petsc4py (3.20.5-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.20)
    - man page is now registered in section 3
  * Build-Depends: cython3 (>= 3~)
    - drop debian patch revert_cython_pin_PR6720.patch
  * drop Build-Depends: python3-distutils. Closes: #1065916.
  * debian/tests: update demo tests
    - run demos over all supported python versions
    - run new poisson2d
    - old demo tests now moved to legacy subdir
  * debian patch build_docs.patch disables use of sphobjinv and pylit
    when building docs. They are not yet packaged for Debian.
    - override dh_sphinxdoc: to ignore missing poisson2d text
  * drop build of texinfo docs. Currently generates a doubled
    "@end deffn" causing the texinfo doc build to fail.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2024 10:01:04 +0100

petsc4py (3.19.6-7) unstable; urgency=medium

  * reduce optimisations in the sh4 build to -O1
    since the sh4 build is running out of memory and failing

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2024 10:40:31 +0100

petsc4py (3.19.6-6) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch also reverts upstream
    PR#6746 and PR#6748.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 12:12:23 +0100

petsc4py (3.19.6-5) unstable; urgency=medium

  * debian patch revert_cython_pin_PR6720.patch reverts upstream
    PR#6720 which pinned cython to 0.29.36. For the debian build the
    cython version is managed by the cython3-legacy dependency.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 11:12:01 +0100

petsc4py (3.19.6-4) unstable; urgency=medium

  * python3-petsc4py Recommends: libpetsc-real-dev |
    libpetsc-complex-dev. To install libpetsc-real3.*-dev, which sets
    /usr/lib/petsc needed for default importing (see petsc4py.pth)

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Feb 2024 02:55:10 +0100

petsc4py (3.19.6-3) unstable; urgency=medium

  * update debian patch demo_fixes.patch to set MPIEXEC_FLAGS
    separately from MPIEXEC to set number of processes (-n 4).
    Otherwise debci overrides the value with "mpiexec --oversubscribe"
    losing the -n option. See upstream Issue #1520.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 14:06:54 +0100

petsc4py (3.19.6-2) unstable; urgency=medium

  * debian patch test_demo_no_plot.patch sets demos to not plot
    results by default. Displaying plots interferes with autopkgtest
    (debci) package testing.
  * update debian patch demo_fixes.patch to exclude wrap-swig from
    demo tests. It uses CPU-specific optimisations not suitable for
    general CI testing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jan 2024 15:18:35 +0100

petsc4py (3.19.6-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.19.6
  * Have pybuild use only the default python3 version when building the
    documentation.

  [ Drew Parsons ]
  * Build-Depends: cython3-legacy instead of cython3 as a temporary
    workaround to facilitate the introduction of cython 3.0.
    Thanks Sebastiaan Couwenberg. Closes: #1056830.
  * after dh_clean, delete generated src/petsc4py/PETSc* files.
    Closes: #1047199.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Dec 2023 13:17:26 +0100

petsc4py (3.19.1-1exp1) experimental; urgency=medium

  * New upstream release (new ABI 3.19).
  * drop debian/README.source
    (quilt is now standard with debian/source 3.0)
  * generate fresh docs using sphinx.
    apiref and usrman no longer provided.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Jun 2023 01:12:41 +0200

petsc4py (3.18.5-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Mar 2023 11:15:53 +0100

petsc4py (3.18.4-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 11:45:00 +0100

petsc4py (3.18.3-2) unstable; urgency=medium

  * debian/tests: don't ignore errors, use set -e
  * update debian patch demo_fixes.patch to skip poisson3d and
    wrap-f2py demos (they generate PETSC segfaults).
    See https://gitlab.com/petsc/petsc/-/issues/1308
    f2py is provided by numpy, hence: Closes: #1026346.
  * debian patch petsc_soname_extensions.patch teaches the wrap-swig
    demo to use PETSC_LIB_EXT, enabling use with petsc64.
    Applies also to wrap-cython, but the same trick doesn't fix
    wrap-f2py

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Jan 2023 20:34:30 +0100

petsc4py (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Jan 2023 14:18:41 +0100

petsc4py (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * drop use of dh_sphinxdocs (dh --with sphinxdoc).
    PETSc docs are incompatible with sphinx 5. Closes: #1013384.

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Dec 2022 17:58:30 +0100

petsc4py (3.18.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI 3.18)

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Oct 2022 23:48:26 +0100

petsc4py (3.17.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1
  * add docs/usrman/searchindex.js to source lintian overrides

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Sep 2022 12:02:44 +0200

petsc4py (3.17.0-1exp1) experimental; urgency=medium

  * New upstream release (API 3.17)

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2022 10:59:20 +0200

petsc4py (3.16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Apr 2022 14:14:57 +0200

petsc4py (3.16.5-1) unstable; urgency=medium

  * New upstream release.
  * use https://pypi.python.org/packages/source/p/petsc4py/
    as package Homepage since separate gitlab source repo is defunct
    (actual petsc4py source now sits with PETSc source at
    https://gitlab.com/petsc/petsc)
    - debian/source/lintian-overrides authorizes use of pypi-homepage
      (providing petsc4py source tarball separate from petsc)

 -- Drew Parsons <dparsons@debian.org>  Sun, 27 Mar 2022 19:08:26 +0200

petsc4py (3.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Mar 2022 02:28:31 +0100

petsc4py (3.16.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI update to 3.16

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 13:10:09 +0100

petsc4py (3.15.1-2) unstable; urgency=medium

  * release petsc4py 3.15 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 00:16:08 +0200

petsc4py (3.15.1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Sep 2021 13:54:40 +0200

petsc4py (3.15.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI update to PETSc 3.15)
  * Build-Depends: cython3 (>= 0.24~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Apr 2021 23:09:46 +0200

petsc4py (3.14.1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch drop_MATDAAD_9f01b074.patch

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Jan 2021 21:16:03 +1100

petsc4py (3.14.0-3) unstable; urgency=medium

  * debian patch drop_MATDAAD_9f01b074.patch applies the petsc4py
    portion of upstream commit 9f01b074 (PETSC 3.14.2) removing
    MATDAAD references. Closes: #978175.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jan 2021 02:15:37 +1100

petsc4py (3.14.0-2) unstable; urgency=medium

  * sourceful upload for migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Nov 2020 10:10:44 +0800

petsc4py (3.14.0-1) unstable; urgency=medium

  * update debian/watch to watch source tarball on pypi.
    The upstream petsc4py repo is now inactive. petsc4py development
    source has been moved to the petsc repo,
    https://gitlab.com/petsc/petsc/-/tree/master/src/binding/petsc4py
    Pypi provides a specific petsc4py source tarball, split out from
    the petsc source (and including doc files).
  * New upstream release.
  * update debian patch demo_fixes.patch to fix build of poisson3d and
    perftest demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 14:30:42 +0800

petsc4py (3.13.0-10) unstable; urgency=medium

  * set __PETSC4PY_VERSION__ in debian scripts of all packages, not
    just arch-any packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 11:00:54 +0800

petsc4py (3.13.0-9) unstable; urgency=medium

  * run MPI demos on 4 processes (power of 2 needed by kspsolve demo)
    Closes: #972385.
  * process docs with dh_sphinxdoc
    (with manual handling for searchtools.js,doctools.js,language_data.js)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 23:28:28 +0800

petsc4py (3.13.0-8) unstable; urgency=medium

  * ppc_skip_test_ts_py.patch skips all tests in test_ts_py.py
    (testFDColor as well) on ppc arches.

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Sep 2020 23:31:37 +0800

petsc4py (3.13.0-7) unstable; urgency=medium

  * rename debian patch ppc_skip_testResetAndSolve.patch as
    ppc_skip_test_ts_py.patch and skip testSolve.

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Sep 2020 10:59:52 +0800

petsc4py (3.13.0-6) unstable; urgency=medium

  * update upstream homepage to https://gitlab.com/petsc/petsc4py
  * debian patch ppc_skip_testResetAndSolve.patch skips the
    testResetAndSolve test on ppc arches. Closes: #969715.

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Sep 2020 22:02:51 +0800

petsc4py (3.13.0-5) unstable; urgency=medium

  * swap Depends/Recommends relationships:
    python3-petsc4py Depends: python3-petsc4py-real3.13, etc.
    apt-get install python3-petsc4py should "just work".

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Sep 2020 11:38:56 +0800

petsc4py (3.13.0-4) unstable; urgency=medium

  * split circular dependency by making python3-petsc4py
    Recommends: python3-petsc4py-real | python3-petsc4py-complex | etc
    rather than Depends. Closes: #963847.

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jul 2020 23:52:33 +0800

petsc4py (3.13.0-3) unstable; urgency=medium

  * bring 64-bit petsc4py to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jun 2020 13:44:50 +0800

petsc4py (3.13.0-2exp1) experimental; urgency=medium

  * provide packages python3-petsc4py-64-real, python3-petsc4py-64-complex,
    python3-petsc4py-64-real3.13 and python3-petsc4py-64-complex3.13
    built against 64-bit PETSc (64-bit indexing)
  * simplify debian/rules using versioned PYBUILD_NAME
  * skip wrap-swig and wrap-f2py MPI demos with 64-bit PETSc
    (they currently segfault and fail)

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jun 2020 22:15:50 +0800

petsc4py (3.13.0-2) unstable; urgency=medium

  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 00:46:53 +0800

petsc4py (3.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Apr 2020 19:08:09 +0800

petsc4py (3.12.0-8) unstable; urgency=medium

  * rebuild to allow migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Apr 2020 11:57:56 +0800

petsc4py (3.12.0-7) unstable; urgency=medium

  * Facilitate petsc4py support for multiple installed PETSc versions.
    - provide PETSc-version-specific packages python3-petsc4py-real3.12
      and python3-petsc4py-complex3.12.
    - python3-petsc4py-real and python3-petsc4py-complex are now dummy
      packages depending on the specific versioned packages.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Mar 2020 16:02:43 +0800

petsc4py (3.12.0-6) unstable; urgency=medium

  * fix dh_python3 handling for arch-indep build

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 00:17:12 +0800

petsc4py (3.12.0-5) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * python3-petsc4py-real and python-petsc4py-complex now install
    their modules under their respective PETSC_DIR.
  * python3-petsc4py is now a base package (not dummy) providing the
    path to the petsc4py module for the default PETSc installation in
    /usr/lib/petsc. Export the environment variable PETSC_DIR to use
    other PETSc versions or builds.
  * remove alternative links from real or complex modules to petsc4py
    module
  * run debian/tests/run-tests against complex build as well as
    default build

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Mar 2020 20:53:55 +0800

petsc4py (3.12.0-4) unstable; urgency=medium

  * rebuild for testing migration

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Dec 2019 02:03:59 +1100

petsc4py (3.12.0-3) unstable; urgency=medium

  * rename python-petsc4py-docs package as python-petsc4py-doc.
    Closes: #945620.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Dec 2019 11:28:57 +1100

petsc4py (3.12.0-2) unstable; urgency=medium

  * drop debian patch python3.8-fix.diff (3.11.0-3), applied upstream
    in 3.12

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 08:19:12 +1100

petsc4py (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * drop patch demo-wrap-swig-compile.patch: HDF5 handling fixed by
    PETSc upstream commit 6a0bd75 (in petsc 3.11.3+dfsg1-2)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Oct 2019 19:15:59 +0800

petsc4py (3.11.0-4) unstable; urgency=medium

  * python-petsc4py-docs drop Recommends: python-petsc4py.
    Closes: #945686.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2019 03:37:40 +0800

petsc4py (3.11.0-3) unstable; urgency=medium

  * drop patch demo-wrap-swig-compile.patch: HDF5 handling fixed by
    PETSc upstream commit 6a0bd75 (in petsc 3.11.3+dfsg1-2)
  * debian patch python3.8-fix.diff fixes build for Python 3.8.
    Closes: #942804.

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2019 17:31:02 +0800

petsc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-petsc4py (python2 is deprecated)
  * debian patch demo-wrap-swig-compile.patch adds PETSc CFLAGS
    (include paths) to allow the wrap-swig demo to compile
  * autopkgtest: run debian/tests using in-built scripts, not pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 03:05:51 +0800

petsc4py (3.11.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch underlinking_fix.patch
  * Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2019 11:38:25 +0800

petsc4py (3.10.1-1) unstable; urgency=medium

  * New upstream release
    - applies demo_poisson3d_1821d0c.patch,
      petsc_3.10.3_removed_SNESTEST_a013d13.patch
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jan 2019 01:15:40 +0800

petsc4py (3.10.0-5) unstable; urgency=medium

  * new patch underlinking_fix.patch avoids underlinking when
    wl,asneeded flags are in use. Thanks Gianfranco Costamagna.
    Closes: #917882.

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Dec 2018 12:38:29 +0100

petsc4py (3.10.0-4) unstable; urgency=medium

  * force regeneration of cython .c files (--force option for build
    [build_src] action). Closes: #917598.

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Dec 2018 02:03:07 +0100

petsc4py (3.10.0-3) unstable; urgency=medium

  * add patch petsc_3.10.3_removed_SNESTEST_a013d13.patch to apply
    upstream commit a013d13. Fixes build after PETSc 3.10.3 removed
    SNESTEST. Closes: #917598.
  * Standards-Version: 4.3.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Dec 2018 18:22:48 +0100

petsc4py (3.10.0-2) unstable; urgency=medium

  * remove alternatives links when packages are removed.
    Closes: #915684.

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 14:08:11 +0100

petsc4py (3.10.0-1exp3) experimental; urgency=medium

  * run chrpath on PETSc*.so and install python modules only for binary
    arch builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2018 01:26:34 +0800

petsc4py (3.10.0-1exp2) experimental; urgency=medium

  * Build-Depends: libpetsc-complex3.10-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Nov 2018 20:54:06 +0800

petsc4py (3.10.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies demo_perftest_efcb00a.patch
  * Provide python3-petsc4py-complex with complex number support.
    - Real number support is provided by python3-petsc4py-real
    - python3-petsc4py is now a dummy package depending on either
    - use alternatives to handle preferred petsc4py

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 22:48:17 +0800

petsc4py (3.9.1-5) unstable; urgency=medium

  * python[3]-petsc4py Depends: swig

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Sep 2018 08:47:25 +0800

petsc4py (3.9.1-4) unstable; urgency=medium

  * debian/tests/run-demos: decompress python scripts before testing
  * apply upstream patches demo_perftest_efcb00a.patch and
    demo_poisson3d_1821d0c.patch to fix builds of demos perftest and
    poisson3d.
    - poisson3d is sequential only (don't use for MPI tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Sep 2018 17:28:46 +0800

petsc4py (3.9.1-3) unstable; urgency=medium

  * Add debian/tests (autopkgtest) to run tests and demos.
  * Debian patch demo_fixes.patch enables demos to run:
    - exclude poisson3d,perftest (upstream Issues #111,#112)
    - remove clean:: (double colon) in makefiles
    - kspsolve: ICC requires complex number support
    - bratu2d does not work under MPI
  * Standards-Version: 4.2.1
  * mark python-petsc4py-docs as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Sep 2018 21:02:24 +0800

petsc4py (3.9.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * add redirect.html to lintian source-is-missing overrides
    (false positive, it has a long line)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 20:44:29 +0800

petsc4py (3.9.1-1exp1) experimental; urgency=medium

  * New upstream version.
  * debian/control: remove X-Python-Version: >= 2.6
    (obsolete, see Debian Python Policy 3.4)

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 May 2018 22:55:05 +0800

petsc4py (3.9.0-1exp1) experimental; urgency=medium

  * New upstream version.
    - Build-Depends: python >= 2.6 and >= 3.3, cython >= 0.22
  * Standards-Version: 4.1.4
  * debian/rules: read required PETSc version from petsc4py version.

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 17:04:54 +0800

petsc4py (3.8.1-5) unstable; urgency=medium

  * Build-Depends: libhdf5-mpi-dev. Closes: #897075.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 May 2018 16:14:42 +0800

petsc4py (3.8.1-4) unstable; urgency=medium

  * d/rules: adjust python build path to PETSc*.so to remove RUNPATH
    (allow for backports, whether python* or cpython*)
  * set Vcs-Git to https to allow cloning by all

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 11:25:45 +0800

petsc4py (3.8.1-3) unstable; urgency=medium

  * update VCS tags to salsa.debian.org
  * d/rules: update path to PETSc*.so to remove RUNPATH (python build
    infrastructure has changed). Closes: #893653.
  * Build-Depends: python3-distutils

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 09:26:49 +0800

petsc4py (3.8.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 09:06:33 +0800

petsc4py (3.8.1-1exp2) experimental; urgency=medium

  * debian/rules: the dh_installdocs override applies to build-indep
    only (otherwise, building build-arch only fails)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 16:55:02 +0800

petsc4py (3.8.1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 10:48:11 +0800

petsc4py (3.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove docs package dependency on python (python-numpy)
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * Remove debian patch include_external_source: javascript source now
    provided in upstream tarball.
  * debian/control Priority: optional.
  * place docs package in Section: doc
  * Link docs to system javascript from libjs-jquery, libjs-underscore

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Nov 2017 15:30:35 +0800

petsc4py (3.7.0-3) unstable; urgency=medium

  * Add python3 support via python3-petsc4py. Closes: #862110.
  * Use pybuild when building with debhelper (dh).
  * Move documentation and examples to python-petsc4py-docs.

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 May 2017 14:49:41 +0800

petsc4py (3.7.0-2) unstable; urgency=medium

  * Release petsc4py 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:47:33 +0800

petsc4py (3.7.0-1exp1) experimental; urgency=medium

  * New upstream version.
  * Fixed debian/watch to let uscan show latest version

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Jul 2016 22:59:10 +0800

petsc4py (3.6.0-2) unstable; urgency=medium

  * include human-readable source and copyright statements for
    external scripts jquery.js and underscore.js in docs/usrman/_static
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Jul 2016 01:07:39 +0800

petsc4py (3.6.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Drew Parsons ]
  * New upstream version 3.6.0 (https://bitbucket.org/petsc/petsc4py)
    Closes: #691266.
  * Move package maintenance to Debian Science (alongside PETSc)
  * Standards-Version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2015 14:53:53 +0800

petsc4py (1.1-2) unstable; urgency=low

  * Team upload.
  * debian/{control, rules}
    - proper support python-numpy upgrades, calling dh_numpy to generate the
      correct Depends and tighting the b-d on python-numpy; Closes: #590756

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 04 Aug 2010 22:04:11 +0200

petsc4py (1.1-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Provides: ${python:Provides} added

  [ Sandro Tosi ]
  * New upstream release.
  * debian/control
    - uniforming Vcs-Browser field
    - switch Vcs-Browser field to viewsvn
    - removed Ondrej from Uploaders: thanks for your work!
    - removed DM-U-F field
    - added b-d for libhdf5-openmpi-dev
    - tighten b-d on petsc-dev
  * debian/rules
    - install 'demo' dir as examples

  [ Luca Falavigna ]
  * debian/patches/openmpi.patch:
    - refresh for new upstream release.
  * debian/control:
    - Replace libpetsc2.3.3-dev with petsc-dev (Closes: #529478, #522771).
    - Remove petsc-dev package from Depends, no longer needed.
    - Drop -1 revision from python-numpy and petsc-dev build-dependencies.
    + Bump Standards-Version to 3.8.2:
      - Add debian/README.source to document quilt usage.
  * debian/rules:
    - Export PETSC_DIR and PETSC_ARCH environment variables.
    - Change chrpath shared object path accordingly.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 11 May 2010 11:12:30 +0200

petsc4py (0.7.5-5) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed
  * pycentral changed to pysupport
  * moved from dpatch to quilt
  * Debian Policy version updated
  * sources were patched with Manuel's patch to compile against the latest
    openmpi (Closes: #456869)
  * encoding of debian/copyright converted to UTF-8 (fixes lintian warning)

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Dec 2007 17:47:06 +0100

petsc4py (0.7.5-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added
  * Add DM-Upload-Allowed: yes

  [ Ondrej Certik ]
  * Compiled against the latest revision of petsc, to link correctly with
    openmpi

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 29 Nov 2007 23:27:37 +0100

petsc4py (0.7.5-3) unstable; urgency=low

  * python-petsc4py: Needs to be in Extra (Closes: #441262)
  * added libpetsc2.3.3-dev to runtime depends, otherwise the pesc4py won't
    import in python

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 14 Sep 2007 15:35:39 +0200

petsc4py (0.7.5-2) unstable; urgency=low

  * Renamed the binary package to python-petsc4py to conform with the Debian
    Policy 

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 13:43:45 +0200

petsc4py (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Depends on libpetsc2.3.3-dev
  * Removed patches (not needed anymore)
  * debian/rules: set PETSC_DIR and PETSC_ARCH during the installing phase as
    well (refuses to install otherwise)
  * removing RPATH using chrpath (fixes lintian warnings)

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 10:27:53 +0200

petsc4py (0.7.4-1oc2) UNRELEASED; urgency=low

  * Built against the unofficial libpetsc2.3.3, which is not yet in Debian

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 22 Jul 2007 17:17:49 +0200

petsc4py (0.7.4-1oc1) UNRELEASED; urgency=low

  * Use petsc compiled against LAM, instead of MPICH. Added Build-Depends 
    on libpetsc2.3.2-dev (>= 2.3.2-3oc1), which is not yet in Debian.

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 07 Jul 2007 15:01:06 +0200

petsc4py (0.7.4-1) unstable; urgency=low

  * New upstream version
  * Updated the dpatches for the new release
  * fixed debian/rules to compile the new release

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 25 Jun 2007 02:18:04 +0200

petsc4py (0.7.3-2) unstable; urgency=medium

  * Patched the build system to work with python-numpy 1.0.3 (Closes: #427196)
    - dpatch added to Build-Depends

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 03 Jun 2007 11:11:54 +0200

petsc4py (0.7.3-1) unstable; urgency=low

  * Initial Debian release (closes: #420489) 

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 13 May 2007 03:22:57 +0200
